[req]
default_bits       = 2048
default_keyfile    = localhost.key
distinguished_name = req_distinguished_name
req_extensions     = req_ext
x509_extensions    = v3_ca
prompt             = yes

[req_distinguished_name]
countryName                 = Country Name (2 letter code)
countryName_default         = CA
stateOrProvinceName         = State or Province Name (full name)
stateOrProvinceName_default = Quebec
localityName                = Locality Name (eg, city)
localityName_default        = Montreal
organizationName            = Organization Name (eg, company)
organizationName_default    = Xai Corporation
organizationalUnitName      = organizationalunit
organizationalUnitName_default = Development
commonName                  = server FQDN
commonName_default          = www.xai-corp.net
commonName_max              = 128

[req_ext]
subjectAltName = @alt_names

[v3_ca]
subjectAltName = @alt_names

[alt_names]
DNS.1   = xai-corp.net
DNS.2   = www.xai-corp.net
DNS.3   = abc.xai-corp.net
DNS.4   = dkui.xai-corp.net
DNS.5   = git.xai-corp.net
DNS.6   = jenkins.xai-corp.net
DNS.7   = xaibox.xai-corp.net
